Questo sito utilizza cookies, anche di terze parti, per mostrare pubblicitÓ e servizi in linea con il tuo account. Leggi l'informativa sui cookies.
Username: Password: oppure
C# / VB.NET - Avrˇ problemi con l'esecuzione del mio programma su altri pc?
Forum - C# / VB.NET - Avrˇ problemi con l'esecuzione del mio programma su altri pc?

Pagine: [ 1 2 ] Precedente | Prossimo
Avatar
LLawliet (Normal User)
Newbie


Messaggi: 17
Iscritto: 26/06/2012

Segnala al moderatore
Postato alle 2:05
Domenica, 16/09/2012
Devo sviluppare un programma per i miei compagni di classe in vb .net . Prima di spappolarmi il cervello perˇ, volevo sapere se il mio programma sarebbe stato capace di girare sui loro pc. Io uso visual studio 2010 ( gratuito ), e immagino che i miei compagni abbiano sistemi operativi tipo vista/7 ... Spero non abbiano xp D: attendo risposte! Grazie :D


Lawliet
PM Quote
Avatar
MrPaky (Member)
Pro


Messaggi: 124
Iscritto: 19/10/2008

Segnala al moderatore
Postato alle 4:45
Domenica, 16/09/2012
Ciao,

Anche se hanno Windows XP in tuo programma dovrebbe funzionare a patto che sul loro pc hanno installato la versione .NET Frameworks, che usi per sviluppare il tuo programma


zappiapaki@hotmail.it
PM Quote
Avatar
Sal47 (Normal User)
Pro


Messaggi: 71
Iscritto: 05/02/2009

Segnala al moderatore
Postato alle 12:19
Domenica, 16/09/2012
Salve,
da poco sto cercando di passare da Vb6 a VB2008 e facendo riferimento alla risposta di MrPaky,
mi piacerebbe sapere come riconoscere la versione .NET Frameworks che viene usata per
sviluppare un programma in VB2008/2010 ?
Grazie e buona domenica.

PM Quote
Avatar
LLawliet (Normal User)
Newbie


Messaggi: 17
Iscritto: 26/06/2012

Segnala al moderatore
Postato alle 15:31
Domenica, 16/09/2012
Allora avrei un'altra domanda: come faccio a far controllare al programma se questo frameworks esisiste? O meglio, in che cartelle devo andare a controllare?


Lawliet
PM Quote
Avatar
luca97 (Normal User)
Newbie


Messaggi: 18
Iscritto: 08/07/2012

Segnala al moderatore
Postato alle 19:35
Domenica, 16/09/2012
Quando provi a far partire un programma scritto usando il .NET Framework su un computer che non ce l'ha installato, esce un messaggio d'errore. E quindi non hai bisogno di controllare manualmente se ce l'ha.


"Dopo le 3 del mattino, due sole categorie di persone sono al lavoro: le prostitute e i programmatori."
(Anonimo)
PM Quote
Avatar
ampeg (Normal User)
Pro


Messaggi: 124
Iscritto: 21/04/2011

Segnala al moderatore
Postato alle 8:19
Lunedý, 17/09/2012
Testo quotato

Postato originariamente da LLawliet:

Allora avrei un'altra domanda: come faccio a far controllare al programma se questo frameworks esisiste? O meglio, in che cartelle devo andare a controllare?



infatti non lo puoi controllare dal tuo programma, o meglio, potresti anche farlo ma se non Ŕ installato il framework corretto non funziona, quindi non avrebbe senso

generalmente il controllo lo si delega al setup, infatti i setup generalmente sono normali eseguibili compilati in un linguaggio nativo che non necessitano di framework... oppure molto semplicemente alleghi un file readme al tuo programma con i requisiti minimi in cui specifichi quale framework Ŕ necessario avere installato

PM Quote
Avatar
ampeg (Normal User)
Pro


Messaggi: 124
Iscritto: 21/04/2011

Segnala al moderatore
Postato alle 8:19
Lunedý, 17/09/2012
post doppio

Ultima modifica effettuata da ampeg il 17/09/2012 alle 8:23
PM Quote
Avatar
LLawliet (Normal User)
Newbie


Messaggi: 17
Iscritto: 26/06/2012

Segnala al moderatore
Postato alle 16:14
Lunedý, 17/09/2012
Quindi se uso anche librerie come System.IO non avrei problemi? Se gli utenti hanno il fraamework, s'intende!


Lawliet
PM Quote
Avatar
ampeg (Normal User)
Pro


Messaggi: 124
Iscritto: 21/04/2011

Segnala al moderatore
Postato alle 18:57
Lunedý, 17/09/2012
Testo quotato

Postato originariamente da LLawliet:

Quindi se uso anche librerie come System.IO non avrei problemi? Se gli utenti hanno il fraamework, s'intende!




ti stai confondendo le idee, non devi guardare le librerie per verificare la compatibilitÓ, l'utente che deve far girare il tuo programma deve avere installata la versione che hai utilizzato per sviluppare il programma, tutto qua

esistono diverse versioni del framework
http://it.wikipedia.org/wiki/.NET_Framework

da tenere presente che nel pacchetto che fornisce la microsoft del .net framework 3.5 sono inclusi anche il 2.0, il 3.0 e il 3.5

Ultima modifica effettuata da ampeg il 17/09/2012 alle 18:59
PM Quote
Pagine: [ 1 2 ] Precedente | Prossimo